Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::io::Bzip2BufferDecompressor Class Referencefinal

`#include <bzip2_compression.hpp>`

Inheritance diagram for osmium::io::Bzip2BufferDecompressor:
[legend]
Collaboration diagram for osmium::io::Bzip2BufferDecompressor:
[legend]

## Public Member Functions
| Bzip2BufferDecompressor (const char *buffer, const std::size_t size)
| Bzip2BufferDecompressor (const Bzip2BufferDecompressor &)=delete
Bzip2BufferDecompressor & | operator= (const Bzip2BufferDecompressor &)=delete
| Bzip2BufferDecompressor (Bzip2BufferDecompressor &&)=delete
Bzip2BufferDecompressor & | operator= (Bzip2BufferDecompressor &&)=delete
| ~Bzip2BufferDecompressor () noexcept override
std::string | read () override
void | close () override
Public Member Functions inherited from osmium::io::Decompressor
| Decompressor ()=default
| Decompressor (const Decompressor &)=delete
Decompressor & | operator= (const Decompressor &)=delete
| Decompressor (Decompressor &&)=delete
Decompressor & | operator= (Decompressor &&)=delete
virtual | ~Decompressor () noexcept=default
virtual bool | is_real () const noexcept
void | set_offset_ptr (std::atomic< std::size_t > *offset_ptr) noexcept
void | set_offset (const std::size_t offset) noexcept
bool | want_buffered_pages_removed () const noexcept
void | set_want_buffered_pages_removed (bool value) noexcept

## Private Attributes
const char * | m_buffer
std::size_t | m_buffer_size
bz_stream | m_bzstream

## Additional Inherited Members
Public Types inherited from osmium::io::Decompressor
enum | { input_buffer_size = 1024U * 1024U }

## Constructor & Destructor Documentation

## ◆ Bzip2BufferDecompressor() [1/3]

osmium::io::Bzip2BufferDecompressor::Bzip2BufferDecompressor | ( | const char * | buffer,
|  | const std::size_t | size )
| inline

## ◆ Bzip2BufferDecompressor() [2/3]

osmium::io::Bzip2BufferDecompressor::Bzip2BufferDecompressor | ( | const Bzip2BufferDecompressor & |  | ) |
| delete

## ◆ Bzip2BufferDecompressor() [3/3]

osmium::io::Bzip2BufferDecompressor::Bzip2BufferDecompressor | ( | Bzip2BufferDecompressor && |  | ) |
| delete

## ◆ ~Bzip2BufferDecompressor()

osmium::io::Bzip2BufferDecompressor::~Bzip2BufferDecompressor | ( |  | ) |
| inline override noexcept

## Member Function Documentation

## ◆ close()

void osmium::io::Bzip2BufferDecompressor::close | ( |  | ) |
| inline override virtual

Implements osmium::io::Decompressor.

## ◆ operator=() [1/2]

Bzip2BufferDecompressor & osmium::io::Bzip2BufferDecompressor::operator= | ( | Bzip2BufferDecompressor && |  | ) |
| delete

## ◆ operator=() [2/2]

Bzip2BufferDecompressor & osmium::io::Bzip2BufferDecompressor::operator= | ( | const Bzip2BufferDecompressor & |  | ) |
| delete

## ◆ read()

std::string osmium::io::Bzip2BufferDecompressor::read | ( |  | ) |
| inline override virtual

Implements osmium::io::Decompressor.

## Member Data Documentation

## ◆ m_buffer

const char* osmium::io::Bzip2BufferDecompressor::m_buffer
| private

## ◆ m_buffer_size

std::size_t osmium::io::Bzip2BufferDecompressor::m_buffer_size
| private

## ◆ m_bzstream

bz_stream osmium::io::Bzip2BufferDecompressor::m_bzstream
| private

The documentation for this class was generated from the following file:

- include/osmium/io/bzip2_compression.hpp